Brocade Management Software Community

Expand all | Collapse all

Unable to upgrade from BNA 14.1.0 to 14.3.1

  • 1.  Unable to upgrade from BNA 14.1.0 to 14.3.1

    Posted 12-05-2017 03:57 AM
      |   view attached

    Hi community,

     

    I'm trying to upgrade a BNA server from version 14.1.0 to 14.3.1

    Installation and Data migration seems fine, but the server cannot be started.

     

     

    Afterwards BNA starts a rollback to my previous version.

     

    Any sugestions how to upgrade to the latest version?

     

    Best regards.


    #BrocadeManagementSoftwareCommunity


  • 2.  Re: Unable to upgrade from BNA 14.1.0 to 14.3.1

    Posted 12-05-2017 12:09 PM

    @buia

     

    --->>>Note 3: Direct migration from pre-14.1.0 releases to 14.3.x is not supported.

     

    you need first to upgrade from 14.1.0 to 14.2.0 and then to 14.3.1


    #BrocadeManagementSoftwareCommunity


  • 3.  Re: Unable to upgrade from BNA 14.1.0 to 14.3.1

    Posted 12-06-2017 07:51 AM
      |   view attached

    Hi,

     

    hard to determine what went wrong here - but I would try to upgrade to 14.2.0 first, and then to 14.3.1 even though upgrade from 14.1.0 to 14.3.1 is supported. Also check the attached (updated) release notes for 14.3.1, there quiet a few gotchas in 14.3.1 upgrade

     

     


    #BrocadeManagementSoftwareCommunity

    Attachment(s)



  • 4.  Re: Unable to upgrade from BNA 14.1.0 to 14.3.1

    Posted 12-07-2017 10:50 AM

    I had the same issue, although the docs say that 14.1.0 to 14.3.1 is supported, I never could get it to work.

    I successfully upgraded from 14.1.0 to 14.2.1 and everything went just fine.

    When I tried 14.2.1 to 14.3.1, after install when it starts the firts-time run I get "format not supported" - going to have to open a ticket on it I guess.

    Mark


    #BrocadeManagementSoftwareCommunity


  • 5.  Re: Unable to upgrade from BNA 14.1.0 to 14.3.1

    Posted 12-07-2017 10:57 AM

    looks like this is a known issue, 14.3.1 only installs if you have specific types of devices you are monitoring: see https://community.brocade.com/t5/Management-Software/Upgrade-from-Network-Advisor-14-2-1-to-14-3-1/m-p/94618#M3246

     

    in our case we are just monitoring ICX devices a couple of Windows servers so it looks like 14.3.1 is not for me

     

     


    #BrocadeManagementSoftwareCommunity


  • 6.  Re: Unable to upgrade from BNA 14.1.0 to 14.3.1

    Posted 12-08-2017 10:45 AM
      |   view attached

    Notice that 14.3.1 does not support upgrade from IP versions. Please see 14.3.1 release notes page 20:


    Note 7: IP only installation is not supported with 14.3.1

     

     


    #BrocadeManagementSoftwareCommunity

    Attachment(s)